## org.eclipse.datatools.enablement.sybase.asa.actions
Class JDBCHelper

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.actions.JDBCHelper

    public class JDBCHelper

extends java.lang.Object

Collection of JDBC helper functions

Author:
  brianf

Method Summary
`static java.sql.Connection` `getConnectionForProfile(org.eclipse.swt.widgets.Shell shell, IConnectionProfile profile)`
`static java.sql.Connection` `getConnectionForTempProfile(org.eclipse.swt.widgets.Shell shell, IConnectionProfile cp)`
`static java.lang.String[]` `getDBNamesFromASA(java.sql.Connection conn)` Get a list of database names from an ASA connection
`static java.lang.String` `getDefaultCatalogNameForProfile(java.sql.Connection connection)`
`static IConnectionProfile` `getTemporaryProfile(NewConnectionProfileWizard wiz)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDBNamesFromASA

    public static java.lang.String[] getDBNamesFromASA(java.sql.Connection conn)

  Get a list of database names from an ASA connection

  Parameters:
    `conn` -
  Returns:

### getConnectionForTempProfile

    public static java.sql.Connection getConnectionForTempProfile(org.eclipse.swt.widgets.Shell shell,
                                                                  IConnectionProfile cp)

### getTemporaryProfile

    public static IConnectionProfile getTemporaryProfile(NewConnectionProfileWizard wiz)

### getDefaultCatalogNameForProfile

    public static java.lang.String getDefaultCatalogNameForProfile(java.sql.Connection connection)

### getConnectionForProfile

    public static java.sql.Connection getConnectionForProfile(org.eclipse.swt.widgets.Shell shell,
                                                              IConnectionProfile profile)